{% extends 'base.html.twig' %}

{% block title %}Game index{% endblock %}

{% block body %}
    <h1>Game index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Titre</th>
                <th>Description</th>
                <th>Image</th>
                <th>Url</th>
                <th>Date</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for game in games %}
            <tr>
                <td>{{ game.id }}</td>
                <td>{{ game.title }}</td>
                <td>{{ game.description }}</td>
                <td>{{ game.image }}</td>
                <td>{{ game.url }}</td>
                <td>{{ game.date ? game.date|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('game_show', {'id': game.id}) }}">show</a>
                    <a href="{{ path('game_edit', {'id': game.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('game_new') }}">Create new</a>
{% endblock %}
